
%define _python3 0

Name:       blueman
Version:    2.0.8
Release:    %mkrel 1
Source0:    https://github.com/blueman-project/blueman/releases/download/%{version}/%{name}-%{version}.tar.xz
Source1:     org.blueman.policy
Summary:   Full featured bluetooth manager for GNOME/MATE/GTK+
License:      GPLv2+
Group:        Communications
URL:            https://github.com/blueman-project/blueman/
Patch0:       blueman-2.0.0-fdo-fix_bluetoothd_path.patch
Patch1:       blueman-2.0.0-fdo-drop-browse-feature.patch
Patch2:       blueman-2.0.8-fdo-rename-blueman-applet.service-to-org.blueman.Applet.patch
Patch3:       blueman-2.0.0-fdo-ignore-EEXIST-when-trying-to-create-the-cache-direct.patch
Patch4:       blueman-2.0.1-mga_buildtime_icon_theme_fix.patch

BuildRequires:    %{_lib}bluez-devel >= 5.37
BuildRequires:    %{_lib}glib2.0-devel
BuildRequires:    %{_lib}gtk+3.0-devel
BuildRequires:    %{_lib}startup-notification-1-devel
BuildRequires:    %{_lib}polkit1-devel
BuildRequires:    python-notify
BuildRequires:    python-gobject3-devel

BuildRequires:    python-devel
BuildRequires:    python-cython
BuildRequires:    python-dbus
BuildRequires:    python-pybluez

BuildRequires:    intltool
BuildRequires:    thunar

Requires:    bluez >= 5.11
Requires:    python-gobject
Requires:    python-notify
Requires:    pygtk2.0
Requires:    python-dbus
Requires:    gnome-python-gconf
Requires:    polkit-gnome
Requires:    pulseaudio-module-bluetooth
Obsoletes:   python-blueman

%description
Blueman is designed to provide simple, yet effective means for 
controlling BlueZ API and simplifying bluetooth tasks such as:

* Connecting to 3G/EDGE/GPRS via dial-up
* Connecting to/Creating bluetooth networks
* Connecting to input devices
* Connecting to audio devices
* Sending/Receiving/Browsing files via OBEX
* Pairing

%prep
%setup -q
%apply_patches

# Remove appindicator support
sed -i 's|AppIndicator.py||g' blueman/plugins/applet/Makefile.*

# Python3
%if %_python3
 sed -i '1s/python.*/python3/' apps/%{name}-*
%endif

%build

NOCONFIGURE=1 ./autogen.sh

%configure2_5x \
    --with-gtk=3.0 \
    --disable-hal \
    --enable-polkit \
    --disable-static \
    --enable-thunar-sendto \
    --enable-settings-integration

%make

%install
rm -rf %buildroot
%make_install

#relaxed policy
install -m 0644 %SOURCE1 %{buildroot}%{_datadir}/polkit-1/actions/org.%{name}.policy

desktop-file-install --vendor="" \
  --add-category="GTK" \
  --add-category="X-MandrivaLinux-System-Configuration-Hardware" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/%{name}-manager.desktop
  
desktop-file-install \
 --add-category="GTK;GNOME;" \
 --add-only-show-in="GNOME;XFCE;LXDE;X-Cinnamon;MATE" \
 --delete-original \
 --dir %{buildroot}%{_sysconfdir}/xdg/autostart %{buildroot}%{_sysconfdir}/xdg/autostart/%{name}.desktop

desktop-file-install \
 --delete-original     \
 --dir %{buildroot}%{_datadir}/applications  %{buildroot}%{_datadir}/applications/%{name}-adapters.desktop

find %{buildroot} -name '*.la' -exec rm -f {} ';'
    
%find_lang %{name}

%preun
%preun_uninstall_gconf_schemas %{name}-manager

%post
glib-compile-schemas %{_datadir}/glib-2.0/schemas

%postun
glib-compile-schemas %{_datadir}/glib-2.0/schemas

%files -f %{name}.lang
%doc CHANGELOG.md FAQ README.md COPYING
%{_sysconfdir}/dbus-1/system.d/org.%{name}*.conf
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_bindir}/%{name}-*
%{_datadir}/applications/%{name}-manager.desktop
%{_datadir}/%{name}
%{_datadir}/Thunar/sendto/thunar-sendto-%{name}.desktop
%{_datadir}/applications/%{name}-adapters.desktop
%{_datadir}/pixmaps/%{name}/*.png
%{_datadir}/glib-2.0/schemas/org.blueman.gschema.xml
%{_datadir}/polkit-1/actions/org.%{name}.policy
%{_iconsdir}/hicolor/*/*/%{name}*
%{_datadir}/dbus-1/services/org.%{name}.*.service
%{_datadir}/dbus-1/system-services/org.%{name}*.service
%{_mandir}/man1/%{name}*1.*
%{py_puresitedir}/%{name}
%{py_platsitedir}/_%{name}.so
%{_libexecdir}/%{name}-mechanism
%{_libexecdir}/%{name}-rfcomm-watcher
%{_datadir}/polkit-1/rules.d/blueman.rules

%changelog
* Thu Feb 07 2019 tex 2.0.8-1pclos2019
- new version

* Wed Jan 30 2019 tex 2.0.6-2pclos2019
- dont require root pass to connect 

* Mon Jan 27 2019 tex 2.0.6-1pclos2019
- update

* Sun Apr 03 2016 bb <bb> 2.0.4-1pclos2016
- update

* Fri Jul 24 2015 bb <bb> 1.23-2pclos2014
- update from git 201406261335

* Mon Sep 30 2013 bb <bb> 1.23-1pclos2013
- update
- Pulsepatch merged upstream

